Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/title/Bug_reporting_guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#36184 - [fontforge] needs to be rebuild against libpng 1.6.2

Attached to Project: Arch Linux
Opened by Marcel Korpel (Marcel-) - Wednesday, 17 July 2013, 15:09 GMT
Last edited by Gaetan Bisson (vesath) - Tuesday, 23 July 2013, 10:42 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To Gaetan Bisson (vesath)
Architecture All
Severity Medium
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:

When I start Fontforge, I get the following output:

http://pastebin.com/LvvS5hyU

Among other messages, there is:

"Application built with libpng-1.5.13 but running with 1.6.2"

I think this package should be recompiled against the current libpng, now it doesn't start.

Additional info:
* fontforge 20120731_b-3
* libpng 1.6.2-3

Steps to reproduce:

Install Fontforge, start it on the command line.
This task depends upon

Closed by  Gaetan Bisson (vesath)
Tuesday, 23 July 2013, 10:42 GMT
Reason for closing:  Fixed
Additional comments about closing:  fontforge-20120731_b-4 in [extra]
Comment by Marcel Korpel (Marcel-) - Wednesday, 17 July 2013, 21:14 GMT
After manually recompiling Fontforge the message is gone, but it still doesn't start. After searching further for this problem, it turns out that the actual problem is:

"Error attempting to load font:
-linotype-times-medium-r-normal--16-0-0-0-p-0-iso10646-1
The X Server clained the font existed, but when I asked for it,
I got this error instead:

X Error of failed request: BadValue (integer parameter out of range for operation)
Major opcode of failed request: 45.0 (X_OpenFont)
Serial number of failed request: 839
Failed resource ID: e000b1
Aborted (core dumped)"

This error looks much like https://bugzilla.redhat.com/show_bug.cgi?id=754220 and https://bbs.archlinux.org/viewtopic.php?id=154550
I'll open a topic in the forums about this. Sorry for the inconvenience of me not doing enough research before filing a bug report.

Please change severity to Low, because the package should still be recompiled against the current libpng.
Comment by Gaetan Bisson (vesath) - Tuesday, 23 July 2013, 10:36 GMT
No worries; I'll do a rebuild.

Loading...